{% extends "nav.twig" %}

{% block title %}
	Modification d'un événement
{% endblock %}

{% block contenu %}
	<a href="{{ app.url_generator.generate('evenements') }}">
		<button class="btn btn-default">
			<i class="glyphicon glyphicon-arrow-left"></i> Annuler
		</button>
	</a>

	<form action="{{ app.url_generator.generate('update_evenement') }}" method="post" class="top_margin">
		<input name="_method" type="hidden" value="put">

		{% for event in evenement %}
		<input type="hidden" name="id" value="{{event['id']}}">

		<div class="form-group row">
			<label for="staticName" class="col-sm-2 col-form-label"> Nom </label>
			<div class="col-sm-10">
		    	<input type="text" class="form-control" id="staticName" placeholder="Nom" name="nom" value="{{event['nom']}}" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticDebut" class="col-sm-2 col-form-label"> Date de début </label>
			<div class="col-sm-10">
		    	<input type="date" class="form-control" id="staticDebut" placeholder="Date début" name="date_debut" value="{{event['date_debut']}}" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticFin" class="col-sm-2 col-form-label"> Date de fin </label>
			<div class="col-sm-10">
		    	<input type="date" class="form-control" id="staticFin" placeholder="Date fin" name="date_fin" value="{{event['date_fin']}}" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="SelectEnseignant" class="col-sm-2 col-form-label"> Selectionner l'enseignant responsable </label>
			<div class="col-sm-10">
				<select class="form-control" id="SelectEnseignant" name="enseignant">
				{% for ens in enseignants %}
					{% if ens.id == event.enseignant %}
					<option value="{{ens.id}}" selected> {{ ens.nom }} </option>
					{% else %}
					<option value="{{ens.id}}"> {{ ens.nom }} </option>
					{% endif %}
				{% endfor %}
				</select>
			</div>
		</div>

		<div class="form-group row">
			<label for="SelectGroupe" class="col-sm-2 col-form-label"> Selectionner le groupe concerné </label>
			<div class="col-sm-10">
				<select class="form-control" id="SelectGroupe" name="groupe">
				{% for groupe in groupes %}
					{% if groupe.id == event.groupe %}
					<option value="{{groupe.id}}" selected> {{ groupe.nom }} </option>
					{% else %}
					<option value="{{groupe.id}}"> {{ groupe.nom }} </option>
					{% endif %}
				{% endfor %}
				</select>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticDuree" class="col-sm-2 col-form-label"> Duree soutenances </label>
			<div class="col-sm-10">
		    	<input type="number" class="form-control" id="staticDuree" placeholder="Durée soutenances" name="dureeSoutenances" pattern= "[0-9]" value="{{event['dureeSoutenances']}}" required>
			</div>
		</div>
		{% endfor %}
		<button type="submit" class="btn btn-warning"> <i class="glyphicon glyphicon-pencil"></i> Modifier </button>
	</form>
{% endblock %}
